Skip to main content
POST
/
{team_id}
/
time
/
categories
Create a time category
curl --request POST \
  --url https://api.superthread.com/v1/{team_id}/time/categories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Internal meetings",
  "billable_default": true,
  "color": "fog"
}
'
{
  "time_category": {
    "id": "tc_01HQK6Z9YJZ4M9JX8FVB6QXYAB",
    "type": "time_category",
    "team_id": "tDsu0j19",
    "name": "Internal meetings",
    "billable_default": false,
    "color": "fog",
    "archived_at": 1608742037016
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

Body

application/json
name
string
required
Example:

"Internal meetings"

billable_default
boolean | null
color
string | null
Example:

"fog"

Response

Time category created

time_category
object